#!/usr/bin/env bash

# Build projects in the current dirrectory
#
# usage build.sh path/to/qt/bin debug|release|<null>
#

SRC=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
QMAKE=$1/qmake 
CMAKE=$1/qt-cmake
MODE=$2

echo source code: $SRC
echo qmake: $QMAKE
echo cmake: $CMAKE
echo mode: $MODE

# qmake projects
rm -f .qmake.stash Makedfile
QMAKE_LINE="$QMAKE $SRC"
echo $QMAKE_LINE
$QMAKE_LINE
if [ "$MODE" = "release" ]; then
    find . -name Makefile | xargs sed -i '' -e 's/-g2/-O3/g'
fi
make

# cmake projects
CMAKE_LINE="$CMAKE $SRC"
if [ "$MODE" = "release" ]; then
    CMAKE_LINE="$CMAKE_LINE -DCMAKE_BUILD_TYPE=Release -GNinja"
fi
echo $CMAKE_LINE
$CMAKE_LINE
ninja -v
    
# Slate
mkdir -p slate
pushd slate
CMAKE_LINE="$CMAKE $SRC/slate"
if [ "$MODE" = "release" ]; then
    CMAKE_LINE="$CMAKE_LINE -DCMAKE_BUILD_TYPE=Release -GNinja"
fi
echo $CMAKE_LINE
$CMAKE_LINE
ninja -v
popd
