#!/usr/bin/env bash

# Deplloy projects to the current dirrectory
#
# usage path/to/deploy.sh path/to/build
#

BUILD=$1

function deploy {
    NAME=$1

    if [ ! -e $BUILD/$NAME/$NAME.html ]
        then echo "not found $NAME"
        return
    fi

    rm -rf $NAME
    mkdir -p $NAME
    cp $BUILD/$NAME/$NAME.html $NAME
    cp $BUILD/$NAME/$NAME.js $NAME
    if [ -e $BUILD/$NAME/$NAME.worker.js ]
        then cp $BUILD/$NAME/$NAME.worker.js $NAME
    fi
    cp $BUILD/$NAME/$NAME.wasm $NAME
    cp $BUILD/$NAME/qtloader.js $NAME 
    cp $BUILD/$NAME/qtlogo.svg $NAME
}

deploy "ordering-system"
deploy "gallery_controls2"
deploy "mandelbrot"
deploy "multicanvas"
deploy "rasterwindow"
deploy "principledmaterial"
deploy "hellogl"
deploy "camera"

# slate
rm -rf slate
mkdir -p slate
cp $BUILD/slate/app/app.html slate/slate.html
cp $BUILD/slate/app/app.js slate/
if [ -e $BUILD/slate/app/app.worker.js ]
    then cp $BUILD/slate/app/app.worker.js slate/
fi
cp $BUILD/slate/app/app.wasm slate/
cp $BUILD/slate/app/qtloader.js slate/
cp $BUILD/slate/app/qtlogo.svg slate/
